#ifndef MAINWINDOW_H
#define MAINWINDOW_H


#include <QMainWindow>
#include <QtNetwork/QHttp> //
#include <QtNetwork/QNetworkAccessManager> //



namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();




public slots:
    void MakeLink();  // make network connection
    void replyFinished(QNetworkReply*); // reading the data from the internet
    void setDefaultHoroscope(); // setting the default horoscope of the user



private:
    Ui::MainWindow *ui;
    QNetworkAccessManager *manager;  // network obeject


};

#endif // MAINWINDOW_H
